Italian (Italiano): Ottieni il 30% di sconto sull’ordine del Pacchetto Business qui Clicca qui
Installa la click on the icon in the top right of the address bar.

Incidenti

GET https://uptimer24.com/api/incidents/
curl --request GET \
--url 'https://uptimer24.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
Parametri Dettagli Descrizione
search Opzionale Stringa La stringa di ricerca.
search_by Opzionale Stringa Quale campo stai cercando. I valori consentiti sono: comment.
datetime_field Opzionale Stringa Valori consentiti: start_datetime, end_datetime, last_failed_check_datetime
datetime_start Opzionale Stringa Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opzionale Stringa Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opzionale Stringa Quale campo ordinare i risultati. Valori consentiti sono: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks.
order_type Opzionale Stringa L'ordinamento dei risultati. I valori consentiti sono: ASC per l'ordinamento crescente e DESC per l'ordinamento decrescente.
page Opzionale Intero Il numero di pagina da cui vuoi i risultati. Predefinito a 1.
results_per_page Opzionale Intero Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Il valore predefinito è 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "monitor_id": 0,
            "start_monitor_log_id": 0,
            "end_monitor_log_id": 0,
            "heartbeat_id": 13,
            "start_heartbeat_log_id": 264,
            "end_heartbeat_log_id": 0,
            "start_datetime": "2026-07-19 04:21:11",
            "end_datetime": null,
            "last_failed_check_datetime": null,
            "failed_checks": 5,
            "notification_handlers_ids": [1,2,3],
            "comment": null
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptimer24.com/api/incidents?page=1",
        "last": "https://uptimer24.com/api/incidents?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptimer24.com/api/incidents?page=1"
    }
}
GET https://uptimer24.com/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "monitor_id": 0,
        "start_monitor_log_id": 0,
        "end_monitor_log_id": 0,
        "heartbeat_id": 13,
        "start_heartbeat_log_id": 264,
        "end_heartbeat_log_id": 0,
        "start_datetime": "2026-07-19 04:21:11",
        "end_datetime": null,
        "last_failed_check_datetime": null,
        "failed_checks": 5,
        "notification_handlers_ids": [1,2,3],
        "comment": null
    }
}
POST https://uptimer24.com/api/incidents/{incident_id}
Parametri Dettagli Descrizione
comment Opzionale Stringa -
curl --request POST \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptimer24.com/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \